=== debian/changelog ===
ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.12-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Mar 2020 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.11-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.10-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.9-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.8-1xenial) xenial; urgency=high

  * Remove unused testfile
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.7-1xenial) xenial; urgency=high

  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 Feb 2019 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.6-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.5-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.4-1xenial) xenial; urgency=high

  * Use ikfast plugin template of moveit version 0.10.8
  * Fix sign-compare and deprecated warnings

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.3-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.2-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.1-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.4.0-1xenial) xenial; urgency=high

  * add code coverage make target
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.3.0-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 14 Aug 2018 22:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.2.1-1xenial) xenial; urgency=high

  * Add <url> tag to all package.xml files

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 18 Jul 2018 22:00:00 -0000

ros-kinetic-prbt-ikfast-manipulator-plugin (0.2.0-1xenial) xenial; urgency=high

  * generate IKfast solver and plugin
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 11 Jul 2018 22:00:00 -0000
